<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package walker-news-template
 * @since 1.0.0
 */

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 0.1
     *
     * @return void
     */
    function walker_news_template_register_block_styles()
    {
        register_block_style(
            'core/columns',
            array(
                'name'  => 'wnt-boxshadow',
                'label' => __('Box Shadow', 'walker-news-template')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'wnt-boxshadow',
                'label' => __('Box Shadow', 'walker-news-template')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'wnt-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'walker-news-template')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'wnt-boxshadow-large',
                'label' => __('Box Shadow Large', 'walker-news-template')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'wnt-boxshadow',
                'label' => __('Box Shadow', 'walker-news-template')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'wnt-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'walker-news-template')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'wnt-boxshadow-large',
                'label' => __('Box Shadow Larger', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-boxshadow',
                'label' => __('Box Shadow', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-boxshadow-larger',
                'label' => __('Box Shadow Large', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-image-pulse',
                'label' => __('Iamge Pulse Effect', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-image-hover-pulse',
                'label' => __('Hover Pulse Effect', 'walker-news-template')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'wnt-image-hover-rotate',
                'label' => __('Hover Rotate Effect', 'walker-news-template')
            )
        );
        register_block_style(
            'core/columns',
            array(
                'name'  => 'wnt-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'walker-news-template')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'wnt-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'walker-news-template')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'wnt-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'walker-news-template')
            )
        );

        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-background-with-round',
                'label' => __('Background: Primary Color Round', 'walker-news-template')
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-primary-background-color',
                'label' => __('Background:Primary Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-white-background-color',
                'label' => __('Background:White Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-neutral-background-color',
                'label' => __('Background:Neutral Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name'  => 'title-hover-primary-color',
                'label' => __('Hover: Primary color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name'  => 'title-hover-secondary-color',
                'label' => __('Hover: Secondary color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-color',
                'label' => __('Hover: Primary Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-bgcolor',
                'label' => __('Hover: Primary color fill', 'walker-news-template')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-bgcolor',
                'label' => __('Hover: Secondary color fill', 'walker-news-template')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-white-bgcolor',
                'label' => __('Hover: White color fill', 'walker-news-template')
            )
        );

        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-color',
                'label' => __('Hover: Primary Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'walker-news-template')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-fill',
                'label' => __('Hover: Primary Fill', 'walker-news-template')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-fill',
                'label' => __('Hover: secondary Fill', 'walker-news-template')
            )
        );

        register_block_style(
            'core/list',
            array(
                'name'  => 'list-style-no-bullet',
                'label' => __('List Style: Hide bullet', 'walker-news-template')
            )
        );
        register_block_style(
            'core/list',
            array(
                'name'  => 'hide-bullet-list-link-hover-style-primary',
                'label' => __('Hover style with primary color and hide bullet', 'walker-news-template')
            )
        );
        register_block_style(
            'core/list',
            array(
                'name'  => 'hide-bullet-list-link-hover-style-secondary',
                'label' => __('Hover style with secondary color and hide bullet', 'walker-news-template')
            )
        );

        register_block_style(
            'core/gallery',
            array(
                'name'  => 'enable-grayscale-mode-on-image',
                'label' => __('Enable Grayscale Mode on Image', 'walker-news-template')
            )
        );
        register_block_style(
            'core/social-links',
            array(
                'name'  => 'social-icon-border',
                'label' => __('Border Style', 'walker-news-template')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'wnt-page-list-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'walker-news-template')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'wnt-page-list-bullet-hide-normal-color',
                'label' => __('Hide Bullet:Text Color Normal', 'walker-news-template')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'wnt-page-list-bullet-hide-white-color',
                'label' => __('Hide Bullet:Text Color White', 'walker-news-template')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'wnt-page-list-bullet-hide-heading-color',
                'label' => __('Hide Bullet:Text Color Heading', 'walker-news-template')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'wnt-categories-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'walker-news-template')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'wnt-categories-bullet-hide-text-color',
                'label' => __('Hide Bullet: Text Color Normal', 'walker-news-template')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'wnt-categories-bullet-hide-white-color',
                'label' => __('Hide Bullet: Text Color White', 'walker-news-template')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'wnt-categories-bullet-hide-heading-color',
                'label' => __('Hide Bullet: Text Color Heading', 'walker-news-template')
            )
        );
        register_block_style(
            'core/cover',
            array(
                'name'  => 'wnt-cover-round-style',
                'label' => __('Round Corner Style', 'walker-news-template')
            )
        );
    }
    add_action('init', 'walker_news_template_register_block_styles');
}
